#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long x1, y1, x2, y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x1==x2)
    {
        cout<<2<<endl;
        return 0;
    }
    if(y1==y2)
    {
        cout<<2<<endl;
        return 0;
    }
    long long k1, k2;
    k1= abs(x1-x2);
    k2= abs(y1-y2);
    if(k1==k2)
    {
        cout<<1<<endl;
        return 0;
    }
    cout<<0<<endl;
    return 0;
    
}